{**
 * 2007-2018 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2018 PrestaShop SA
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}
{block name='header_banner'}
  <div class="header-banner">
    {hook h='displayBanner'}
  </div>
{/block}

{block name='header_nav'}
  <nav class="header-nav">
    <div class="container">
      <div class="row">
        <div class="hidden-md-up text-sm-center mobile">
          <div class="float-xs-left" id="menu-icon">
            <i class="fa fa-align-justify"></i>
          </div>
          <div class="top-logo" id="_mobile_logo"></div>
          <div class="clearfix"></div>
        </div>
      </div>
    </div>
  </nav>
{/block}

{block name='header_top'}
  <div class="header-top">
    <div class="container">
       <div class="row">
	   <div class="top-logo col-lg-2 col-md-12 hidden-sm-down" id="_desktop_logo">
            {if $page.page_name == 'index'}
              <h1>
                <a href="{$urls.base_url}">
                  <img class="logo img-responsive" src="{$shop.logo}" alt="{$shop.name}">
                </a>
              </h1>
            {else}
                <a href="{$urls.base_url}">
                  <img class="logo img-responsive" src="{$shop.logo}" alt="{$shop.name}">
                </a>
            {/if}
        </div>
		<div class="col-lg-6 col-md-12 col-sm-12 col-xs-12 container_lab_megamenu hidden-sm-down">
			<div class="laberMegamenu">
				<div class="displayMegamenu">
					{hook h='displayMegamenu'}
				</div>
			</div>
		</div>
        
		<div class="col-lg-4 col-md-12 col-sm-12 col-xs-12 position-static">
			<div class="laberIpad">
				<div class="laberSetting pull-right">
					<div class="dropdown js-dropdown ">
						<div class="expand-more" data-toggle="dropdown">
							<i class="icon-setting  icon-align-right"></i>
						</div>
						<div class="laberSetting-i dropdown-menu">	
							{hook h='displayNav2'}
						</div>
					</div>
				</div>
				{hook h='displayTop'}
				<div class="laberDisplaySearch pull-right">{hook h='displaySearch'}</div>
				{hook h='displayNav1'}
			</div>
        </div>
		<div class="clearfix"></div>
      </div>
      <div id="mobile_top_menu_wrapper" class="row hidden-md-up" style="display:none;">
		
        <div class="js-top-menu mobile" id="_mobile_top_menu"></div>
        <div class="js-top-menu-bottom">
		  {hook h='displayMegamenu'}
        </div>
      </div>
    </div>
  </div>
	
  {hook h='displayNavFullWidth'}

{/block}
